'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require('../../../../node_modules/lib-ibos/lib/antd/button');

var _button2 = _interopRequireDefault(_button);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

var _menu = require('../menu');

var _menu2 = _interopRequireDefault(_menu);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dropdown = require('../dropdown');

var _dropdown2 = _interopRequireDefault(_dropdown);

var _formLayout = require('../form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;
var DropdownButton = _dropdown2.default.Button;

var Button = function (_Component) {
    (0, _inherits3.default)(Button, _Component);

    function Button(props) {
        (0, _classCallCheck3.default)(this, Button);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Button.prototype.render = function render() {
        var _props = this.props,
            children = _props.children,
            displayName = _props.displayName,
            size = _props.size,
            element = _props.element,
            otherProps = (0, _objectWithoutProperties3.default)(_props, ['children', 'displayName', 'size', 'element']);

        var menu = void 0;
        var buttonProps = (0, _extends3.default)({
            size: size ? size : "small"
        }, otherProps);
        if (children) {
            var itemKey = 0;
            menu = _react2.default.createElement(
                _menu2.default,
                null,
                children.map(function (child) {
                    itemKey++;
                    return _react2.default.createElement(
                        _menu2.default.Item,
                        { key: itemKey },
                        child
                    );
                })
            );
            buttonProps.overlay = menu;
            buttonProps.className = "pl6 pr6";
            if (!element) {
                var _props2 = this.props,
                    type = _props2.type,
                    icon = _props2.icon,
                    _size = _props2.size;

                var Bicon = _react2.default.createElement('noscript', null);
                if (icon) {
                    Bicon = _react2.default.createElement(_icon2.default, { type: icon });
                }
                return _react2.default.createElement(
                    _dropdown2.default,
                    (0, _extends3.default)({}, buttonProps, { trigger: ['click'] }),
                    _react2.default.createElement(
                        _button2.default,
                        { type: type, size: _size },
                        displayName,
                        Bicon
                    )
                );
            }
            return _react2.default.createElement(
                DropdownButton,
                (0, _extends3.default)({}, buttonProps, { trigger: ['click'] }),
                displayName
            );
        }

        return _react2.default.createElement(
            _button2.default,
            buttonProps,
            displayName
        );
    };

    return Button;
}(_react.Component);

Button.Group = _button2.default.Group;
exports.default = Button;
module.exports = exports['default'];