"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _formLayout = require("../../../../node_modules/lib-ibos/lib/ibos/form-layout");

var _formLayout2 = _interopRequireDefault(_formLayout);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormLayout = function (_Component) {
    (0, _inherits3.default)(FormLayout, _Component);

    function FormLayout(props) {
        (0, _classCallCheck3.default)(this, FormLayout);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    FormLayout.prototype.render = function render() {
        var _props = this.props,
            inputSize = _props.inputSize,
            others = (0, _objectWithoutProperties3.default)(_props, ["inputSize"]);

        var formProps = (0, _extends3.default)({
            inputSize: inputSize ? inputSize : "small"
        }, others);
        return _react2.default.createElement(_formLayout2.default, formProps);
    };

    return FormLayout;
}(_react.Component);

FormLayout.FormItem = _formLayout2.default.FormItem;

exports.default = FormLayout;
module.exports = exports["default"];