'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _input = require('../../../../node_modules/lib-ibos/lib/antd/input');

var _input2 = _interopRequireDefault(_input);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _formLayout = require('../../../../node_modules/lib-ibos/lib/ibos/form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

exports.default = Input;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;

function Input(_ref) {
	var props = (0, _objectWithoutProperties3.default)(_ref, []);
	var displayName = props.displayName,
	    element = props.element,
	    inputSize = props.inputSize,
	    labelWidth = props.labelWidth,
	    otherProps = (0, _objectWithoutProperties3.default)(props, ['displayName', 'element', 'inputSize', 'labelWidth']);

	var formProps = {
		security: element ? element.security ? element.security : "r" : "r",
		label: displayName,
		labelWidth: labelWidth
	};
	var inputProps = (0, _extends3.default)({
		value: element ? element.value : "",
		size: inputSize ? inputSize : "small"
	}, otherProps);
	return _react2.default.createElement(
		FormItem,
		formProps,
		_react2.default.createElement(_input2.default, inputProps)
	);
};
module.exports = exports['default'];