"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _formLayout = require("../form-layout");

var _formLayout2 = _interopRequireDefault(_formLayout);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;

var Tags = function (_Component) {
    (0, _inherits3.default)(Tags, _Component);

    function Tags(props) {
        (0, _classCallCheck3.default)(this, Tags);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Tags.prototype.render = function render() {
        var _props = this.props,
            children = _props.children,
            element = _props.element,
            displayName = _props.displayName;

        if (!element || !element.list || element.list.length == 0) {
            return _react2.default.createElement("noscript", null);
        }
        var data = element.list[0];
        var tagList = [];
        if (!children.length) {
            tagList.push(children);
        } else {
            tagList = children;
        }
        var tagChild = [];
        tagList.map(function (tag) {
            var props = tag.props,
                tagRest = (0, _objectWithoutProperties3.default)(tag, ["props"]);
            var dataIndex = props.dataIndex,
                restProps = (0, _objectWithoutProperties3.default)(props, ["dataIndex"]);

            if (dataIndex) {
                var e = data[dataIndex];
                var newTag = (0, _extends3.default)({
                    props: (0, _extends3.default)({
                        element: e
                    }, restProps)
                }, tagRest);
                tagChild.push(newTag);
            }
        });
        var formProps = {
            label: displayName
        };
        return _react2.default.createElement(
            FormItem,
            formProps,
            tagChild.map(function (obj) {
                return obj;
            })
        );
    };

    return Tags;
}(_react.Component);

exports.default = Tags;
module.exports = exports["default"];