'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _text = require('../../../../node_modules/lib-ibos/lib/ibos/text');

var _text2 = _interopRequireDefault(_text);

var _tooltip = require('../tooltip');

var _tooltip2 = _interopRequireDefault(_tooltip);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _formLayout = require('../../../../node_modules/lib-ibos/lib/ibos/form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;

var Text = function (_Component) {
    (0, _inherits3.default)(Text, _Component);

    function Text(props) {
        (0, _classCallCheck3.default)(this, Text);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Text.prototype.render = function render() {
        var _props = this.props,
            displayName = _props.displayName,
            element = _props.element,
            labelWidth = _props.labelWidth,
            width = _props.width,
            otherProps = (0, _objectWithoutProperties3.default)(_props, ['displayName', 'element', 'labelWidth', 'width']);

        var value = "";
        if (typeof element == "string") {
            value = element;
        } else {
            value = element ? element.value : "";
        }
        function splitToEnter(str, splitStr) {
            var ret = [];
            var arr = str.split(splitStr);
            arr.forEach(function (item) {
                ret.push(item);
                ret.push(_react2.default.createElement('br', null));
            });

            ret.splice(-1, 1);
            return ret;
        }
        if (value) {
            value = splitToEnter(value, "$$");
        }
        if (displayName) {
            displayName += ":";
        }
        var formProps = {
            label: displayName,
            labelWidth: labelWidth
        };
        // return(
        //     <FormItem labelWidth={labelWidth}><p>{displayName}{value}</p></FormItem>
        // )
        var textProps = (0, _extends3.default)({
            width: width
        }, otherProps);
        if (width) {
            var className = "dpib toe";
            var _width = { width: width },
                styles = (0, _objectWithoutProperties3.default)(_width, []);

            return _react2.default.createElement(
                FormItem,
                formProps,
                value && value.map(function (v) {
                    if (typeof v === "string") {
                        return _react2.default.createElement(
                            _tooltip2.default,
                            { title: v, placement: 'top' },
                            _react2.default.createElement(
                                'span',
                                { className: className, style: (0, _extends3.default)({}, styles) },
                                v
                            )
                        );
                    } else {
                        return v;
                    }
                })
            );
        }
        return _react2.default.createElement(
            FormItem,
            formProps,
            _react2.default.createElement(
                _text2.default,
                textProps,
                value
            )
        );
    };

    return Text;
}(_react.Component);

exports.default = Text;
module.exports = exports['default'];