"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _tooltip = require("../../../../node_modules/lib-ibos/lib/antd/tooltip");

var _tooltip2 = _interopRequireDefault(_tooltip);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tooltip = function (_Component) {
    (0, _inherits3.default)(Tooltip, _Component);

    function Tooltip(props) {
        (0, _classCallCheck3.default)(this, Tooltip);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Tooltip.prototype.render = function render() {
        var _props = this.props,
            children = _props.children,
            otherProps = (0, _objectWithoutProperties3.default)(_props, ["children"]);
        var type = children.type,
            otherChildren = (0, _objectWithoutProperties3.default)(children, ["type"]);
        //children似乎必须是html标签才行

        if (typeof type != "string") {
            type = "span";
        }
        var tipProps = (0, _extends3.default)({
            children: (0, _extends3.default)({
                type: type
            }, otherChildren)
        }, otherProps);
        return _react2.default.createElement(_tooltip2.default, tipProps);
    };

    return Tooltip;
}(_react.Component);

exports.default = Tooltip;
module.exports = exports["default"];