'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _datePicker = require('../../../../node_modules/lib-ibos/lib/ibos/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _formLayout = require('../../../../node_modules/lib-ibos/lib/ibos/form-layout');

var _formLayout2 = _interopRequireDefault(_formLayout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormItem = _formLayout2.default.FormItem;

var DatePicker = function (_Component) {
    (0, _inherits3.default)(DatePicker, _Component);

    function DatePicker(props) {
        (0, _classCallCheck3.default)(this, DatePicker);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    DatePicker.prototype.render = function render() {
        var _props = this.props,
            displayName = _props.displayName,
            element = _props.element,
            inputSize = _props.inputSize,
            labelWidth = _props.labelWidth,
            others = (0, _objectWithoutProperties3.default)(_props, ['displayName', 'element', 'inputSize', 'labelWidth']);

        var value = element ? element.value : "";
        var formProps = {
            labelWidth: labelWidth,
            label: displayName
        };
        var datePickerProps = (0, _extends3.default)({
            value: value,
            size: inputSize
        }, others);
        return _react2.default.createElement(
            FormItem,
            formProps,
            _react2.default.createElement(_datePicker2.default, datePickerProps)
        );
    };

    return DatePicker;
}(_react.Component);

exports.default = DatePicker;
module.exports = exports['default'];