"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _icon = require("../../../../node_modules/lib-ibos/lib/ibos/icon");

var _icon2 = _interopRequireDefault(_icon);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Icon = function (_Component) {
    (0, _inherits3.default)(Icon, _Component);

    function Icon(props) {
        (0, _classCallCheck3.default)(this, Icon);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Icon.prototype.render = function render() {
        var _props = this.props,
            element = _props.element,
            type = _props.type,
            color = _props.color,
            others = (0, _objectWithoutProperties3.default)(_props, ["element", "type", "color"]);

        var iconProps = (0, _extends3.default)({}, others);
        if (type && typeof type == "string") {
            iconProps.type = type;
        }
        if (type && typeof type == "function") {
            iconProps.type = type(element);
        }

        if (color && typeof color == "string") {
            iconProps.color = color;
        }
        if (color && typeof color == "function") {
            iconProps.color = color(element);
        }
        return _react2.default.createElement(_icon2.default, iconProps);
    };

    return Icon;
}(_react.Component);

exports.default = Icon;
module.exports = exports["default"];