"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _tag = require("../../../../node_modules/lib-ibos/lib/ibos/tag");

var _tag2 = _interopRequireDefault(_tag);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tag = function (_Component) {
    (0, _inherits3.default)(Tag, _Component);

    function Tag(props) {
        (0, _classCallCheck3.default)(this, Tag);
        return (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));
    }

    Tag.prototype.render = function render() {
        var _props = this.props,
            displayName = _props.displayName,
            element = _props.element,
            otherProps = (0, _objectWithoutProperties3.default)(_props, ["displayName", "element"]);

        var child = displayName ? displayName : "";
        if (element) {
            if (child) {
                child += "：" + element.value;
            } else {
                child += element.value;
            }
        }
        var tagProps = (0, _extends3.default)({
            children: child
        }, otherProps);
        return _react2.default.createElement(_tag2.default, tagProps);
    };

    return Tag;
}(_react.Component);

exports.default = Tag;
module.exports = exports["default"];